AU Validation Error [SOLVED!]


#1

Got this validation error:


validating Audio Unit DoubleMsTool by Schoeps:
 
    AU Validation Tool
    Version: 1.6.1a1
    Copyright 2003-2013, Apple Inc. All Rights Reserved.
    Specify -h (-help) for command options
 
--------------------------------------------------
VALIDATING AUDIO UNIT: 'aufx' - 'Iubr' - 'Manu'
--------------------------------------------------
Manufacturer String: Schoeps
AudioUnit Name: DoubleMsTool
Component Version: 1.0.0 (0x10000)
Component's Bundle Version: 1.0.0
 
* * PASS
--------------------------------------------------
TESTING OPEN TIMES:
COLD:
2015-11-25 14:09:46.425 auvaltool[2228:61002] Error loading /Users/student/Library/Audio/Plug-Ins/Components/DoubleMsTool.component/Contents/MacOS/DoubleMsTool:  dlopen(/Users/student/Library/Audio/Plug-Ins/Components/DoubleMsTool.component/Contents/MacOS/DoubleMsTool, 262): Library not loaded: /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
  Referenced from: /Users/student/Library/Audio/Plug-Ins/Components/DoubleMsTool.component/Contents/MacOS/DoubleMsTool
  Reason: image not found
FATAL ERROR: OpenAComponent: result: -50,0xFFFFFFCE
 
 
validation result: Öffnen fehlgeschlagen

This is probably not referring to the image included in the binary, right ?

But otherwise, i've got currently no idea what it means ...


#2

Ok, found this thread after some more research, and it's the same problem:

http://www.juce.com/forum/topic/coreimageframework-not-found-after-xcode-7-upgrade

So, it's solved !